#
# spec file for package crossfire (Version 1.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel ed glib glib-devel gtk gtk-devel libpng rplay xf86 xforms xpm
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rplay rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xforms xshared

Name:         crossfire
Copyright:    GPL
Group:        X11/Games
Autoreqprov:  on
Version:      1.0.0
Release:      93
Provides:     crosfire
Obsoletes:    crosfire
Summary:      Graphical multi-player arcade game for X11
URL:	      http://crossfire.real-time.com
Source:       crossfire-%{version}.tar.bz2
Source1:      crossfire-%{version}-maps.tar.bz2
Source2:      crossfire-client-%{version}.tar.bz2
Source3:      client-0.95.2-raw-sounds.tar.bz2
Patch:        crossfire-%{version}.dif
Patch1:       crossfire-%{version}-maps.dif
Patch2:       crossfire-client-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build
%package server
Summary:      Graphical multi-player arcade game for X11
Autoreqprov:  on
Requires:     crossfire
Group:        X11/Games
%package client
Summary:      Graphical multi-player arcade game for X11
Autoreqprov:  on
Requires:     crossfire
Group:        X11/Games

%description
Adventure game, like nethack plus graphical interface.
Can be played over a network, includes an editor.
Documentation: man crossfire

Authors:
--------
    Frank Tore Johansen <frankj@ifi.uio.no>
    Mark Wedel <mark@pyramid.com>

SuSE series: fun


%description server
Adventure game, like nethack plus graphical interface.
Can be played over a network, includes an editor.
Documentation: man crossfire-server

Authors:
--------
    Frank Tore Johansen <frankj@ifi.uio.no>
    Mark Wedel <mark@pyramid.com>

SuSE series: fun


%description client
Adventure game, like nethack plus graphical interface.
Can be played over a network, includes an editor.
Documentation: man crossfire-client

Authors:
--------
    Frank Tore Johansen <frankj@ifi.uio.no>
    Mark Wedel <mark@pyramid.com>

SuSE series: fun

%prep
rm -rf maps crossfire-client-%{version}
%setup -n crossfire-%{version} -b1 -b2
%patch
%{?suse_update_config:%{suse_update_config -f utils}}
cd ../maps
%patch1
cd ../crossfire-client-%{version}
%patch2
%{?suse_update_config:%{suse_update_config -f utils}}

%build
CONFIGURE_PARAM="--prefix=/usr/games
	--bindir=/usr/games
	--mandir=/usr/share/man
	--datadir=/usr/share/games
	--localstatedir=/var/games
	%{_target_cpu}-suse-linux"
export CFLAGS=$RPM_OPT_FLAGS
autoconf
./configure $CONFIGURE_PARAM
make depend
make
cd ../crossfire-client-%{version}
CONFIGURE_PARAM="--prefix=/usr/games
	--bindir=/usr/games
	--mandir=/usr/share/man/man6
	--datadir=/usr/share/games/crossfire-client
	--with-sound-dir=/usr/share/games/crossfire-client/sounds
	%{_target_cpu}-suse-linux"
autoconf
./configure $CONFIGURE_PARAM
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
MAKE_PARAMS="prefix=$RPM_BUILD_ROOT/usr/games
	bindir=$RPM_BUILD_ROOT/usr/games
	mandir=$RPM_BUILD_ROOT/usr/share/man
	datadir=$RPM_BUILD_ROOT/usr/share/games/crossfire
	localdir=$RPM_BUILD_ROOT/var/games/crossfire
	INSTALLFLAGS=-m644"
make $MAKE_PARAMS install
#
(cd  $RPM_BUILD_ROOT/usr/games
rm add_throw crossloop.pl
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/crossfire/utils
cat mktable | sed -e "s:local/::g" > $RPM_BUILD_ROOT/%{_defaultdocdir}/crossfire/utils/mktable
rm mktable
mv -v flushlocks $RPM_BUILD_ROOT/%{_defaultdocdir}/crossfire/utils
cat crossloop | sed -e "s:$RPM_BUILD_ROOT::g" >crossloop.tmp
mv crossloop.tmp crossloop
chmod a+x crossloop)
#
(cd ../crossfire-client-%{version}
MAKE_PARAMS="prefix=$RPM_BUILD_ROOT/usr/games/
	bindir=$RPM_BUILD_ROOT/usr/games/
	mandir=$RPM_BUILD_ROOT/usr/share/man/man6
	datadir=$RPM_BUILD_ROOT/usr/share/games/crossfire-client
	INSTALLFLAGS=-m644"
make $MAKE_PARAMS install)
# 
(cd doc
rm playbook-html/{Makefile*,*-extract,makeps,sorter}
rm spell-docs/Makefile*
mv spell-docs/*.ps .
gzip -9 *.ps
mv *.ps.gz playbook-html $RPM_BUILD_ROOT/%{_defaultdocdir}/crossfire/)
cp License README $RPM_BUILD_ROOT/%{_defaultdocdir}/crossfire/
#
(cd ..; mv maps ${RPM_BUILD_ROOT}/usr/share/games/crossfire/)
install -d ${RPM_BUILD_ROOT}/usr/share/games/crossfire-client
cd ${RPM_BUILD_ROOT}/usr/share/games/crossfire-client; tar xjf %{S:3}
# group s-bit stuff
chown -R games.game ${RPM_BUILD_ROOT}/var/games/crossfire
chmod -R g+w ${RPM_BUILD_ROOT}/var/games/crossfire
chown games.game ${RPM_BUILD_ROOT}/usr/games/crossfire
chmod g+s ${RPM_BUILD_ROOT}/usr/games/crossfire
# motd :-)
echo -e "*** A lot of fun wish you your SuSE team ***\n" >>${RPM_BUILD_ROOT}/usr/share/games/crossfire/motd

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/doc/packages/crossfire/

%files server
/usr/games/collect.pl
/usr/games/crossedit
/usr/games/crossfire
/usr/games/crossloop
/usr/games/random_map
/usr/games/util.pl
/usr/games/xpmtopix.pl
/var/games/crossfire
/usr/share/games/crossfire/
/usr/share/man/man6/cross*

%files client
/usr/games/*client
/usr/games/cfsndserv
/usr/share/games/crossfire-client/
/usr/share/man/man6/*client*

%changelog -n crossfire
* Wed Jun 13 2001 - schwab@suse.de
- Add ed to neededforbuild.
- Add %%suse_update_config.
- Fix missing declaration.
* Mon May 28 2001 - vinil@suse.cz
- upgrade to 1.0.0
- crossfire splits to crossfire{,-{server,client}}
- spec file clean up
* Thu Feb 22 2001 - ro@suse.de
- include time.h
* Mon Dec 04 2000 - vinil@suse.cz
- renamed from crosfire to crossfire
- upgraded to 0.95.8
* Sun Nov 05 2000 - ro@suse.de
- fixed neededforbuild
* Wed Aug 09 2000 - vinil@suse.cz
- upgrade to 0.95.6
- files completely relocated (FHS)
- gtk client now aviable
* Mon Jun 05 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Wed Feb 16 2000 - kasal@suse.de
- adding chmod -R g+w /var/games/crossfire fixed Bug #384  ;-)
* Tue Feb 15 2000 - kasal@suse.de
- added  chmod -R g+w /var/games/crossfire
- maps should be copied to /usr/X11R6/lib/X11/crossfire/maps,
  not /usr/X11R6/lib/X11/crossfire/lib
- updated sounds
* Tue Oct 26 1999 - ro@suse.de
- changed to use kernel-sound
* Sat Oct 23 1999 - freitag@suse.de
- new Version 0.95.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 22 1999 - ro@suse.de
- fixed to compile on alpha
* Wed Mar 17 1999 - ro@suse.de
- remove .origs with -f
* Tue Sep 22 1998 - ro@suse.de
- modified Imakefile in server to add -lcrypt when needed
* Mon Nov 17 1997 - ro@suse.de
- changed all /usr/local/bin/perl to /usr/bin/perl
* Wed Oct 29 1997 - bs@suse.de
- fixed perl scripts - changed from #!/usr/local/bin/perl to
  #!/usr/bin/perl
* Fri Oct 10 1997 - rj@suse.de
- new version 0.93.5 works with (a)build
* Thu Jan 02 1997 - rj@suse.de
- new version 0.92.5 (new maps)
- permissions of maps corrected
